#
# spec file for package dos2unix (Version 3.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           dos2unix
Summary:        A DOS to UNIX Text Converter
Version:        3.1
Release:        317.2
Group:          Productivity/Text/Convertors
License:        distributable, Other License(s), see package
Source:         %{name}-%{version}.tar.bz2
Patch0:         %{name}-%{version}.patch
Patch1:         dos2unix-3.1-segfault.patch
Patch2:         dos2unix-3.1-preserve-file-modes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
dos2unix is used to convert plain text from DOS (CR/LF) format to UNIX
format (LF).



Authors:
--------
    Benjamin Lin blin @ socs.uts.edu.au

%debug_package
%prep
%setup -q
%patch0 -p1 -b .orig
%patch1 -p1 -b .segf
%patch2 -b .fmode
perl -pi -e 's,(#endif|#else)[^ ]*(.*),$1 /* $2 */,g' *.[ch]

%build
make clean
make CFLAGS="$RPM_OPT_FLAGS"
make link

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install -m755 dos2unix $RPM_BUILD_ROOT%{_bindir}
install -m755 mac2unix $RPM_BUILD_ROOT%{_bindir}
install -m444 dos2unix.1 $RPM_BUILD_ROOT%{_mandir}/man1
install -m444 mac2unix.1 $RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(-,root,root,0755)
%doc COPYRIGHT
%{_bindir}/dos2unix
%{_bindir}/mac2unix
%{_mandir}/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n dos2unix
* Tue Apr 11 2006 - pth@suse.de
- Make dos2unix preserve file modes (bugzilla #119350).
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Oct 05 2005 - dmueller@suse.de
- add norootforbuild
* Mon Aug 12 2002 - bk@suse.de
- update to dos2unix-3.1(no longer uses hd2u, but real dos2unix)
* Wed Jun 19 2002 - postadal@suse.cz
- new package dos2unix verison 0.8.0
